Skip to content

Get a vendor by id

GET
/vendors/{id}
curl --request GET \
--url https://api.vendorica.com/v1/vendors/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Success

Media typeapplication/json
object
success
required
boolean
data
required
object
id
required
string format: uuid
organizationId
required
string format: uuid
displayId
required
string | null
name
required
string
state
required
string | null
Allowed values: procurement active archived
directlyEngaged
required
boolean
vatNumber
required
string | null
countryCode
required
string | null
description
required
string | null
website
required
string | null
category
required
string | null
categoryId
required
string | null format: uuid
headquartersCountryCode
required
string | null
authMethod
required
string | null
Allowed values: sso_oidc sso_saml password api_key not_specified
servicesProvided
required
string | null
securityOwnerId
required
string | null format: uuid
businessOwnerId
required
string | null format: uuid
notes
required
string | null
lastAssessedAt
required
string | null format: date-time
criticalityTierId
required
string | null format: uuid
lei
required
string | null
euId
required
string | null
legalPersonType
required
string | null
Allowed values: legal_person natural_person
countryOfRegistration
required
string | null
parentLei
required
string | null
parentName
required
string | null
headOfficeAddress
required
string | null
inherentRiskScore
required
string | null
inherentRiskBand
required
string | null
inherentRiskScoredAt
required
string | null format: date-time
inherentRiskApprovalStatus
required
string
inherentRiskBandOverride
required
string | null
inherentRiskSignedOffAt
required
string | null format: date-time
inherentRiskSignedOffBy
required
string | null format: uuid
inherentRiskAnswersFingerprint
required
string | null
annualExpense
required
string | null
approvalStatus
required
string
approvalInstanceId
required
string | null format: uuid
businessUnitIds
required
Array<string>
createdAt
required
string | null format: date-time
updatedAt
required
string | null format: date-time
timestamp
required
string format: date-time
requestId
string
message
string
Example
{
"success": true,
"data": {
"id": "988b2ec0-e51a-4b66-8de2-9fffd6c1d821",
"organizationId": "e0324e15-0630-4e35-8506-ff02c0037672",
"displayId": "string",
"name": "string",
"state": "procurement",
"directlyEngaged": true,
"vatNumber": "string",
"countryCode": "string",
"description": "string",
"website": "string",
"category": "string",
"categoryId": "e89a58b8-e4f9-4cce-820b-06b7aa5b8bc9",
"headquartersCountryCode": "string",
"authMethod": "sso_oidc",
"servicesProvided": "string",
"securityOwnerId": "f3647023-481c-43f3-84e3-b2d0d67283bc",
"businessOwnerId": "de0d581f-ac01-45a7-8ab0-f12c1c8ba1f8",
"notes": "string",
"lastAssessedAt": "2026-08-19T09:41:12.004Z",
"criticalityTierId": "b748b0bd-466e-4cad-8d89-85eabd7dd5aa",
"lei": "string",
"euId": "string",
"legalPersonType": "legal_person",
"countryOfRegistration": "string",
"parentLei": "string",
"parentName": "string",
"headOfficeAddress": "string",
"inherentRiskScore": "string",
"inherentRiskBand": "string",
"inherentRiskScoredAt": "2026-08-19T09:41:12.004Z",
"inherentRiskApprovalStatus": "string",
"inherentRiskBandOverride": "string",
"inherentRiskSignedOffAt": "2026-08-19T09:41:12.004Z",
"inherentRiskSignedOffBy": "2f693f9f-3faf-4427-84b5-e4ac3256f478",
"inherentRiskAnswersFingerprint": "string",
"annualExpense": "string",
"approvalStatus": "string",
"approvalInstanceId": "c9ea5ee8-c5f3-4a5e-8b30-7067d040ebd9",
"businessUnitIds": [
"0e0bd2a9-c79c-4331-8d94-e7b63368bd36"
],
"createdAt": "2026-08-19T09:41:12.004Z",
"updatedAt": "2026-08-19T09:41:12.004Z"
},
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H",
"message": "string"
}

Validation error

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Bad request",
"code": "BAD_REQUEST",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Unauthorized

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Unauthorized",
"code": "UNAUTHORIZED",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Forbidden — missing scope

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Forbidden",
"code": "FORBIDDEN",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Not found

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Resource not found",
"code": "NOT_FOUND",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Rate limit exceeded

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Too many requests",
"code": "TOO_MANY_REQUESTS",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}